aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/ebuild.sh4
-rw-r--r--doc/package/ebuild/eapi/4.docbook3
-rw-r--r--man/ebuild.54
3 files changed, 8 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 7c14068c2..a8ed74591 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -511,7 +511,9 @@ econf() {
fi
# EAPI=4 adds --disable-dependency-tracking to econf
- if ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
+ if ! hasq "$EAPI" 0 1 2 3 3_pre2 && \
+ "${ECONF_SOURCE}/configure" --help 2>/dev/null | \
+ grep -q disable-dependency-tracking ; then
set -- --disable-dependency-tracking "$@"
fi
diff --git a/doc/package/ebuild/eapi/4.docbook b/doc/package/ebuild/eapi/4.docbook
index e5f430fc8..24471f1ba 100644
--- a/doc/package/ebuild/eapi/4.docbook
+++ b/doc/package/ebuild/eapi/4.docbook
@@ -92,7 +92,8 @@ over the filename language suffix.
<title>econf adds --disable-dependency-tracking</title>
<para>
The econf helper now adds --disable-dependency-tracking to the
-configure arguments.
+configure arguments if the string disable-dependency-tracking
+occurs in the output configure --help.
</para>
</section>
<section id='package-ebuild-eapi-4-helpers-use-with-enable-empty-third-arg'>
diff --git a/man/ebuild.5 b/man/ebuild.5
index ae2034eb1..94d65f542 100644
--- a/man/ebuild.5
+++ b/man/ebuild.5
@@ -932,7 +932,9 @@ calls \fBdie\fR if the configure script fails.
Beginning with \fBEAPI 3\fR, \fBeconf\fR uses the \fB${EPREFIX}\fR
variable which is disregarded for prior \fBEAPI\fR values.
Beginning with \fBEAPI 4\fR, \fBeconf\fR adds
-\fI\-\-disable\-dependency\-tracking\fR to the arguments.
+\fI\-\-disable\-dependency\-tracking\fR to the arguments if the
+string \fIdisable\-dependency\-tracking\fR occurs in the output
+of \fIconfigure \-\-help\fR.
.TP
\fBemake\fR \fI[make options]\fR
This is used as a replacement for make. Performs 'make ${MAKEOPTS}